Support configurable exportable "facts" (as tags) and "username" to rundeck
Category: API
Bugzilla link: Red Hat JIRA:

Pull request:

Description

When exporting data o rundeck you should be able to specify what you want to export.
In a similar way you also want to be able to specify the rundeck username.

The proposed solution works as follows:
Default behaviour (no parameters defined):

username = root
exported facts/tags = classes

If want to change the behaviour, you specify a parameter in Foreman:
Example:
In foreman we've defined 2 parameters for the host "myserver1.mydomain.local" :

rundeckuser = mycustomuser
rundeckfacts = domain,environment
So, querying:

curl -u admin:changeme "http://foreman/hosts/myserverl.mydomain.local?rundeck=true&format=yaml"

would result in:

myserverl.mydomain.local:
osFamily: Redhat
osVersion: "5.6"
tags:
— domain=mydomain.local
- environment=master
- class=ntp::main
- class=puppet::client
username: mycustomuser
osName: CentOS
osArch: x86_64
nodename: myserverl.mydomain.local
description: My description test
hostname: myserverl.mydomain.local

I'll submit a patch...

Associated revisions
Revision 3f1e5363 - 09/04/2011 04:41 AM - Marcello de Sousa

Fixes #1133 - Support configurable exportable "facts" (as tags) and "username" to rundeck

Signed-off-by: Marcello de Sousa <foreman-dev@area151.com>

History

#1 - 09/04/2011 04:44 AM - Marcello de Sousa
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 3f1e53638e892677d1dc7f7eb8d7a2e5516db6aa.

#2 - 09/04/2011 04:45 AM - Ohad Levy

- Assignee set to Marcello de Sousa

#3 - 09/04/2011 04:45 AM - Ohad Levy

one last request.. please add a new wiki page of how to set it up.

Thanks..

#4 - 09/05/2011 04:54 AM - Marcello de Sousa

Done.
